mouse pointer periodically leaps to left and top of screen with absolute pointing devices

Bug #1041063 reported by Rocko on 2012-08-24
200
This bug affects 37 people
Affects Status Importance Assigned to Milestone
Compiz
Undecided
Unassigned
X.Org X server
Unknown
Unknown
Fedora
Fix Released
High
xorg-server (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned
Raring
High
Unassigned

Bug Description

[Impact]
When I move the mouse around, it sometimes vanishes completely, and sometimes jumps over to the left or top left of the screen. If I'm moving a window with the mouse at the time, the window vanishes or jumps over to the left or top left as well.

[Fix]
Patch cherrypicked from upstream

[Test Case]
While using virtualbox, move mouse around.

Expected: Smooth mouse movement
Actual: Jerky movement with mouse jumping to 0,0 periodically

[Regression Potential]
Low. No known issues, and test has received review and testing upstream, and so is not expected to show regressions.

Things to watch for include X server crashes, and strange mouse behaviors, both of which should be pretty obvious.

[Recommended Validation]
* Confirmation from a couple affected users
* 1-week minimum time in -proposed to identify regressions

[Original Report]
I'm running Ubuntu 12.10 inside a VirtualBox 4.2RC2 VM, and Ubuntu doesn't recognise the 3d drivers so it is falling back to llvmpipe.

When I move the mouse around, it sometimes vanishes completely, and sometimes jumps over to the left or top left of the screen. If I'm moving a window with the mouse at the time, the window vanishes or jumps over to the left or top left as well.

With 'force complete redraw on initial damage' turned on, it seems that glitch happens much more frequently.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: unity 6.2.0-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-11.11-generic 3.5.2
Uname: Linux 3.5.0-11-generic x86_64
ApportVersion: 2.5.1-0ubuntu1
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
Date: Fri Aug 24 14:53:04 2012
DistUpgraded: Fresh install
DistroCodename: quantal
DistroVariant: ubuntu
DkmsStatus:
 vboxguest, 4.2.0_RC2, 3.5.0-10-generic, x86_64: installed
 vboxguest, 4.2.0_RC2, 3.5.0-11-generic, x86_64: installed
GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120606.2)
Lsusb:
 Bus 002 Device 003: ID 80ee:0021 VirtualBox USB Tablet
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: innotek GmbH VirtualBox
ProcEnviron:
 LANGUAGE=en_AU:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-11-generic root=UUID=198f31f9-0b98-4ab4-998c-f779750d2fc9 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.board.name: VirtualBox
dmi.board.vendor: Oracle Corporation
dmi.board.version: 1.2
dmi.chassis.type: 1
dmi.chassis.vendor: Oracle Corporation
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH
version.compiz: compiz 1:0.9.8+bzr3319-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.38-0ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.4-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.4-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.12.99.905-0ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.99.99~git20120713.6ef1ad6a-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.20.3-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.1-4~ubuntu1

== Regression details ==
Discovered in version: 2:1.13.0-0ubuntu5
Last known good version: 2:1.11.4-0ubuntu10.8

Rocko (rockorequin) wrote :
Rocko (rockorequin) wrote :

I suspect this is leading to odd side effects, such as Unity sometimes launching ccsm when I try to click on the Post Comment.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
tags: added: llvmpipe
affects: unity (Ubuntu) → compiz (Ubuntu)
Changed in compiz:
status: New → Confirmed
Jason Statham (hollander-) wrote :

Sounds similar to my problem, whenever I select some text or an image and try to grab & drag it, the cursor teleports to the top left of my screen, when the unity bar greys out.
Gedit, Firefox, Chromium etc. doesn't matter what application.

Daniel van Vugt (vanvugt) wrote :

Does this bug only happen in VirtualBox with the vboxguest drivers?

Rocko (rockorequin) wrote :

No, in fact it seems to be more pronounced with them not present.

Lorem (lrmpsm) wrote :

this bug is present whit GNOME Shell too

affects: compiz (Ubuntu) → virtualbox-guest-additions (Ubuntu)
Changed in compiz:
status: Confirmed → Invalid
Rocko (rockorequin) wrote :

I installed gnome-shell to check it out... and lightdm suffers from this bug so badly that I couldn't even select gnome-shell to log in with! lightdm shows the mouse regularly jumping to (and staying at) one of the four corners of the rectangle defined by the top left of the screen and the 'current' location of the mouse.

gdm suffers from the bug but works better than lightdm, and I was able to launch gnome-shell from it. gnome-shell does suffer from this bug, but IMO not as badly as compiz. Mutter feels much faster and more responsive (just try grabbing a window and moving it around with the mouse to see) than compiz in this VM, and this might have something to do with it.

Since this has only occurred since ubuntu and gnome-shell moved to use llvm-pipe, is there an llvm-pipe package that this should be assigned to, or is this purely a virtualbox issue?

Daniel van Vugt (vanvugt) wrote :

Rock,

The mouse location has very little to do with the graphics driver (LLVMpipe). I suggest it's purely a virtualbox problem.

Lorem (lrmpsm) wrote :

This bug has something to do with evdev 2.7.x built without mtdev support (xserver-xorg-input-evdev in Ubuntu?):

https://bugs.freedesktop.org/show_bug.cgi?id=54353

A workaround is to type this two commands in terminal on every new session:

xinput set-prop "VirtualBox mouse integration" "Coordinate Transformation Matrix" 0.5 0 0 0 0.5 0 0 0 1.0
xinput set-prop "VirtualBox mouse integration" "Coordinate Transformation Matrix" 1.0 0 0 0 1.0 0 0 0 1.0

rooijan (rrossouw) wrote :

Thanks Lorem! I can confirm that works for me.

Rocko (rockorequin) wrote :

Thanks, Lorem, that also fixes it for me.

Scanning the xorg bug, which references https://bugzilla.redhat.com/show_bug.cgi?id=852841, it looks like FC have fixed it in xserver 1.13.0-5.fc18, so hopefully the fix will get pushed upstream to xserver 1.13 soon.

Richard Hansen (rhansen) wrote :

According to the upstream bug report, this is a bug in the X server, not VirtualBox. It just happens to be that the bug is very noticeable in VirtualBox.

affects: virtualbox-guest-additions (Ubuntu) → xorg-server (Ubuntu)
summary: - mouse pointer periodically leaps to left and top of screen in llvmpipe
- session
+ mouse pointer periodically leaps to left and top of screen with absolute
+ pointing devices
Richard Hansen (rhansen) wrote :
tags: added: regression-release
description: updated
Richard Hansen (rhansen) wrote :

Attached is a debdiff for quantal that should fix this bug. I have uploaded the patched package to my PPA (<https://launchpad.net/~a7x/+archive/bug1041063>) and it has finished building. To install:

    sudo apt-add-repository ppa:a7x/bug1041063
    sudo apt-get update
    sudo apt-get upgrade

tags: added: patch

The attachment "debdiff for quantal" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

It looks good to me. Thanks!

Michael Dooley (miketomdool) wrote :

Another fix that works for me is in virtual box go to machine -> Disable Mouse Integration in your virtualbox menu

Timothy Yandl (t-r-yandl) wrote :

I encountered this bug with Ubuntu 12.10 beta 1 installed on A Lenovo T61p laptop. It only seemed to be an issue when using my Genius i608XE graphics tablet. The bug was so severe I had to uninstall and revert to 12.04. When Beta 2 came out I tried installing in Virtualbox to see if the bug was still present, which it is. I think it only affects absolute pointing devices so disabling mouse integration in Virtualbox would probably make the issue go away for many users.

The symptoms were that as I moved the stylus around it would frequently jump all the way to the left, or to the top, and often to the top left of the screen. Naturally this made drawing and writing impossible. On the bright side the pressure sensitivity for the tablet was working in 12.10! (can't get it to work in 12.04)

Richard Hansen (rhansen) wrote :

Attached is an updated debdiff for quantal. I've uploaded this version to my PPA and it should finish building in a few hours. To install:

    sudo apt-add-repository ppa:a7x/bug1041063
    sudo apt-get update
    sudo apt-get upgrade

Richard Hansen (rhansen) wrote :

And here is the debdiff for raring. This version has also been uploaded to my PPA and has already finished building.

Justin Szejner (decrept666) wrote :

I can confirm the fix from the ppa in comment 20. Installed the ppa on a clean 12.10 vm that disiplayed the error before and after install did not.

Changed in xorg-server (Ubuntu):
importance: Undecided → Medium
Changed in xorg-server (Ubuntu):
milestone: none → quantal-updates
milestone: quantal-updates → precise-updates
milestone: precise-updates → none
intel (dts-dreamer) wrote :

Thanks a7x for the FIX!!!
This fix applies also to the mouse crazy jumps on vmware + ubuntu 12.10 guest.
Fix work - Confirmed. Please add this fix to the official release ASAP!

Bryce Harrington (bryce) on 2012-11-16
Changed in xorg-server (Ubuntu):
importance: Medium → High
status: Confirmed → Triaged
Changed in xorg-server (Ubuntu Quantal):
status: New → Triaged
Changed in xorg-server (Ubuntu Precise):
status: New → Triaged
Changed in xorg-server (Ubuntu Quantal):
importance: Undecided → High
Changed in xorg-server (Ubuntu Precise):
importance: Undecided → High
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.13.0-0ubuntu7

---------------
xorg-server (2:1.13.0-0ubuntu7) raring; urgency=low

  [ Maarten Lankhorst ]
  * Add 233-xf86events-valgrind.patch to fix a xserver corruption
    when acpid is stopped before Xorg is.
    (LP: #1070481)
  * Add 235-composite-tracking.patch to fix exa corruption.
    (LP: #1010794)

  [ Bryce Harrington ]
  * Add 236-use-fbdev-for-poulsbo-oaktrail-medfield.patch: Never use Intel
    driver on Poulsbo/Oaktrail/Medfield. Thanks to Matthias Klumpp.
    (LP: #1069031)
  * Add 237-dix-set-the-device-transformation-matrix.patch: Fix pointer
    jumping with absolute pointing device. Initializes device
    transformation matrix to an identity matrix. Thanks to a7x.
    (LP: #1041063)

  [ Tim Lunn ]
  * 500_pointer_barrier_thresholds.diff: Update to fix gaps above
    barriers at edge of screen
    (LP: #1073724)
 -- Bryce Harrington <email address hidden> Fri, 16 Nov 2012 11:37:26 -0800

Changed in xorg-server (Ubuntu Raring):
status: Triaged → Fix Released
Bryce Harrington (bryce) on 2012-11-17
description: updated
Richard Hansen (rhansen) wrote :

This bug was introduced upstream in xorg-server 1.13 (Git commit 749a593), so unless that particular commit was backported to the xorg-server package for precise, this bug does not affect precise.

Changed in xorg-server (Ubuntu Precise):
status: Triaged → Invalid
Richard Hansen (rhansen) wrote :

I backported xorg-server-2:1.13.0-0ubuntu7 to quantal and uploaded it to my PPA (<https://launchpad.net/~a7x/+archive/bug1041063>). It has finished building. To install:

    sudo apt-add-repository ppa:a7x/bug1041063
    sudo apt-get update
    sudo apt-get upgrade

Adam Conrad (adconrad) on 2012-11-27
Changed in xorg-server (Ubuntu Quantal):
status: Triaged → Fix Committed
Bryce Harrington (bryce) wrote :

a7x, we uploaded a proposed package for quantal as xorg-server-2:1.13.0-0ubuntu6.1. Mind installing that package and confirming that it fixes the issue?

Or, anyone who had been having this issue previously on quantal, if you can confirm the package in -proposed solves it, then the SRU admins can approve the package for release.

description: updated
Richard Hansen (rhansen) wrote :

Yes, the proposed package fixes this bug. I booted off of the Quantal live CD, upgraded xserver-xorg-core and xserver-common to the proposed version, used 'gnome-session-quit' to cause X to exit and respawn, then logged in again as the ubuntu user to test it out.

tags: added: verification-done

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.13.0-0ubuntu6.1

---------------
xorg-server (2:1.13.0-0ubuntu6.1) quantal-proposed; urgency=low

  [ Maarten Lankhorst ]
  * add 233-xf86events-valgrind.patch to fix a xserver corruption
    when acpid is stopped before Xorg is. (LP: #1070481)
  * add 235-composite-tracking.diff to fix exa corruption. (LP: #1010794)

  [ Bryce Harrington ]
  * Add 236-use-fbdev-for-poulsbo-oaktrail-medfield.patch: Never use Intel
    driver on Poulsbo/Oaktrail/Medfield. Thanks to Matthias Klumpp.
    (LP: #1069031)
  * Add 237-dix-set-the-device-transformation-matrix.patch: Fix pointer
    jumping with absolute pointing device. Initializes device
    transformation matrix to an identity matrix. Thanks to a7x.
    (LP: #1041063)
 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2012 08:09:59 +0200

Changed in xorg-server (Ubuntu Quantal):
status: Fix Committed → Fix Released
Richard Hansen (rhansen) wrote :

Now that the fix has been published to quantal-updates, I have removed the version from my PPA. If you installed the version from my PPA, please downgrade from 2:1.13.0-0ubuntu7~12.10 to 2:1.13.0-0ubuntu6.1.

Hello Rocko, or anyone else affected,

Accepted xorg-server into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xorg-server/2:1.11.4-0ubuntu10.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Richard Hansen (rhansen) wrote :

As I noted before in comment #25, this bug was introduced upstream in 1.13. Precise has version 1.11.4, so it should not be affected. How can something be fixed if it is not broken?

tags: added: verification-failed
removed: verification-needed
Richard Hansen (rhansen) wrote :

filed regression-proposed bug #1091976

Bryce Harrington (bryce) wrote :

a7x, the patch was uploaded for precise prior to comment #25, because it had been nominated for precise. Keep in mind that precise includes a backport of the input stack, so it's not surprising to find input bugs introduced after 1.11 affecting precise, however that stack is 1.12 so a 1.13-specific bug should not affect it.

In any case, aside from the nomination there doesn't appear to be anyone making a claim that the bug is reproducible on precise. I'll go ahead and reject your patch for 12.04.

Chris Halse Rogers (raof) wrote :

I've rejected the xorg-server in the precise; the .changes file does not contain the previous changelog entry for the version currently in -proposed. Please re-upload.

Thanks!

Chris Halse Rogers (raof) wrote :

Hello Rocko, or anyone else affected,

Accepted xorg-server into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xorg-server/2:1.11.4-0ubuntu10.11 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-failed
tags: added: verification-needed
Richard Hansen (rhansen) wrote :

Looks OK to me, except for a minor issue in debian/changelog: "LP: 1041063" should be "LP: #1041063" (notice the missing "#").

tags: added: verification-done
removed: verification-needed
Bryce Harrington (bryce) wrote :

That was intentional. It's conventional to leave out the # when the referenced bug is not "fixed" by that changeset.

bradleyd (bradleydsmith) wrote :

for what it is worth, I have had similar issues. As I move the mouse (12.10) it frequently jumps to the top of screen. I can only describe this as a 'reset' to top center. I am not running Virtualbox and have tried different mouse configurations ( usb, bluetooth, etc..) On a hunch I tried removing the 'psmouse' module and the 'reset' has stopped. Not sure why psmouse was the cause of this, but wanted to share in case that helps anyone else.

Take care

Richard Hansen (rhansen) wrote :

@bradleydsmith: Sounds like you're experiencing a different bug. You may want to file a new bug report for it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.11.4-0ubuntu10.11

---------------
xorg-server (2:1.11.4-0ubuntu10.11) precise-proposed; urgency=low

  * Drop 237-dix-set-the-device-transformation-matrix.patch:
    Bug was targeted to precise, but is only confirmed to affect xserver
    1.13 and newer.
    (LP: 1041063)

xorg-server (2:1.11.4-0ubuntu10.10) precise-proposed; urgency=low

  * Add 237-dix-set-the-device-transformation-matrix.patch: Fix pointer
    jumping with absolute pointing device. Initializes device
    transformation matrix to an identity matrix. Thanks to a7x.
    (LP: #1041063)

xorg-server (2:1.11.4-0ubuntu10.9) precise-proposed; urgency=low

  [ Maarten Lankhorst ]
  * add 233-xf86events-valgrind.patch to fix a xserver corruption
    when acpid is stopped before Xorg is. (LP: #1070481)
  * add 235-composite-tracking.diff to fix exa corruption. (LP: #1010794)
 -- Bryce Harrington <email address hidden> Wed, 19 Dec 2012 16:39:23 -0800

Changed in xorg-server (Ubuntu Precise):
status: Invalid → Fix Released
Colin Watson (cjwatson) on 2013-02-04
Changed in xorg-server (Ubuntu Precise):
status: Fix Released → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.11.4-0ubuntu10.13

---------------
xorg-server (2:1.11.4-0ubuntu10.13) precise-security; urgency=low

  * SECURITY UPDATE: input event leak via inactive VT
    - debian/patches/CVE-2013-1940.patch: fix flush input to work with
      Linux evdev devices in hw/xfree86/os-support/shared/posix_tty.c.
    - CVE-2013-1940
 -- Marc Deslauriers <email address hidden> Thu, 11 Apr 2013 08:18:09 -0400

Changed in xorg-server (Ubuntu Precise):
status: Invalid → Fix Released
Changed in fedora:
importance: Unknown → High
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.